Summary: emi.fts.transfer-cli
Name: transfer-cli
Version:
Release:
License: Apache Software License
Vendor: EMI
Group: System Environment/Libraries
BuildRequires: CGSI_gSOAP_2.7
BuildRequires: CGSI-gSOAP-devel
BuildRequires: is-interface-devel
BuildRequires: gsoap-devel
BuildRequires: openldap-devel
BuildRequires: delegation-cli
BuildRequires: util-c
BuildRequires: gridsite-devel
BuildRequires: transfer-interface
BuildRequires: glib2-devel
BuildRequires: lcgutil-build-common-cpp
BuildRequires: glite-build-common-cpp
BuildRequires: globus-common-progs
BuildRequires: globus-gssapi-gsi-devel
BuildRequires: globus-gss-assist-devel
BuildRequires: python-devel
BuildRequires: libtool
BuildRequires: libxml2-devel
BuildRequires: libxslt
BuildRequires: docbook-style-xsl
BuildRequires: doxygen
BuildRoot: %{_builddir}/%{name}-root
AutoReqProv: yes
Source: %{name}-%{version}.tar.gz

%description
Command line interface for the File Transfer Service.

%prep
 

%setup -c

%build
mkdir -p src/autogen; aclocal -I /usr/share/emi/build/m4 -I /share/build/m4;  libtoolize --force; autoheader; automake --foreign --add-missing --copy; autoconf
./configure --prefix=%{buildroot}/usr --mandir=%{buildroot}/share/man --with-version=%{version} --with-interface-version=3.7.0 --with-dist-location=%{buildroot}/usr --with-glite-location=/usr --with-cgsi-gsoap-location=/ --with-gridsite-prefix=/usr --with-emi --enable-debug
 make all
  
  

%install
# libtool probs
QA_SKIP_BUILD_ROOT=1; export QA_SKIP_BUILD_ROOT
rm -rf %{buildroot}
 mkdir -p %{buildroot}
 mkdir -p %{buildroot}/usr; make install
 find %{buildroot} -name '*.la' -exec rm -rf {} \;
 find %{buildroot} -name '*.pc' -exec sed -i -e "s|%{buildroot}||g" {} \;

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/libglite_data_transfer_api_simple_c.so.3
%{_libdir}/libglite_data_transfer_fts_api_simple_c.so.3.7.0
%{_libdir}/libglite_data_transfer_channel_api_simple_c.so
%{_libdir}/libglite_data_transfer_fts_api_simple_c.so.3
%dir %{_libdir}/python2.4/
%dir %{_libdir}/python2.4/site-packages/
%{_libdir}/python2.4/site-packages/fts.so
%{_libdir}/python2.4/site-packages/fts.a
%{_libdir}/python2.4/site-packages/fts.so.0
%{_libdir}/python2.4/site-packages/fts.so.0.0.0
%{_libdir}/libglite_data_transfer_fts_api_c.so
%{_libdir}/libglite_data_transfer_api_simple_c.so.3.7.0
%{_libdir}/libglite_data_transfer_channel_api_c.so.3.7.0
%{_libdir}/libglite_data_transfer_fts_api_simple_c.a
%{_libdir}/libglite_data_transfer_channel_api_c.so.3
%{_libdir}/libglite_data_transfer_channel_api_simple_c.a
%{_libdir}/libglite_data_transfer_channel_api_simple_c.so.3.7.0
%{_libdir}/libglite_data_transfer_api_simple_c.so
%{_libdir}/libglite_data_transfer_fts_api_c.so.3
%{_libdir}/libglite_data_transfer_fts_api_c.a
%{_libdir}/libglite_data_transfer_fts_api_simple_c.so
%{_libdir}/libglite_data_transfer_channel_api_simple_c.so.3
%{_libdir}/libglite_data_transfer_api_simple_c.a
%{_libdir}/libglite_data_transfer_channel_api_c.so
%{_libdir}/libglite_data_transfer_channel_api_c.a
%{_libdir}/libglite_data_transfer_fts_api_c.so.3.7.0
%{_bindir}/glite-transfer-channel-setvoshare
%{_bindir}/glite-transfer-group-addmember
%{_bindir}/glite-transfer-channel-setvolimit
%{_bindir}/glite-transfer-submit
%{_bindir}/glite-transfer-channel-listmanagers
%{_bindir}/glite-transfer-group-list
%{_bindir}/glite-transfer-list
%{_bindir}/glite-transfer-service-info
%{_bindir}/glite-transfer-channel-set
%{_bindir}/glite-transfer-channel-list
%{_bindir}/glite-transfer-getroles
%{_bindir}/glite-transfer-cancel
%{_bindir}/glite-transfer-removevomanager
%{_bindir}/glite-transfer-channel-add
%{_bindir}/glite-transfer-se-set
%{_bindir}/glite-transfer-channel-drop
%{_bindir}/glite-transfer-channel-addmanager
%{_bindir}/glite-transfer-addvomanager
%{_bindir}/glite-transfer-setpriority
%{_bindir}/glite-transfer-listvomanagers
%{_bindir}/glite-transfer-channel-signal
%{_bindir}/glite-transfer-status
%{_bindir}/glite-transfer-channel-removemanager
%{_bindir}/glite-transfer-channel-audit
%{_bindir}/glite-transfer-group-removemember
%dir %{_includedir}/glite/
%dir %{_includedir}/glite/data/
%dir %{_includedir}/glite/data/transfer/
%dir %{_includedir}/glite/data/transfer/c/
%{_includedir}/glite/data/transfer/c/transfer-simple.h
%{_includedir}/glite/data/transfer/c/channel-simple.h
%{_includedir}/glite/data/transfer/c/fts-simple.h
%{_mandir}/man1/glite-transfer-addvomanager.1.gz
%{_mandir}/man1/glite-transfer-group-removemember.1.gz
%{_mandir}/man1/glite-transfer-channel-list.1.gz
%{_mandir}/man1/glite-transfer-channel-setvoshare.1.gz
%{_mandir}/man1/glite-transfer-channel-audit.1.gz
%{_mandir}/man1/glite-transfer-se-set.1.gz
%{_mandir}/man1/glite-transfer-group-list.1.gz
%{_mandir}/man1/glite-transfer-setpriority.1.gz
%{_mandir}/man1/glite-transfer-channel-listmanagers.1.gz
%{_mandir}/man1/glite-transfer-service-info.1.gz
%{_mandir}/man1/glite-transfer-channel-addmanager.1.gz
%{_mandir}/man1/glite-transfer-channel-removemanager.1.gz
%{_mandir}/man1/glite-transfer-listvomanagers.1.gz
%{_mandir}/man1/glite-transfer-channel-signal.1.gz
%{_mandir}/man1/glite-transfer-group-addmember.1.gz
%{_mandir}/man1/glite-transfer-status.1.gz
%{_mandir}/man1/glite-transfer-list.1.gz
%{_mandir}/man1/glite-transfer-submit.1.gz
%{_mandir}/man1/glite-transfer-channel-set.1.gz
%{_mandir}/man1/glite-transfer-channel-add.1.gz
%{_mandir}/man1/glite-transfer-getroles.1.gz
%{_mandir}/man1/glite-transfer-cancel.1.gz
%{_mandir}/man1/glite-transfer-channel-setvolimit.1.gz
%{_mandir}/man1/glite-transfer-removevomanager.1.gz
%{_mandir}/man1/glite-transfer-channel-drop.1.gz
%dir %{_defaultdocdir}/glite-data-transfer-cli/
%{_defaultdocdir}/glite-data-transfer-cli/RELEASE-NOTES
%dir %{_defaultdocdir}/glite-data-transfer-cli/html/
%{_defaultdocdir}/glite-data-transfer-cli/html/glite-transfer-service-info.1.html
%{_defaultdocdir}/glite-data-transfer-cli/html/glite-transfer-channel-signal.1.html
%{_defaultdocdir}/glite-data-transfer-cli/html/glite-transfer-channel-removemanager.1.html
%{_defaultdocdir}/glite-data-transfer-cli/html/glite-transfer-channel-setvoshare.1.html
%{_defaultdocdir}/glite-data-transfer-cli/html/glite-transfer-submit.1.html
%{_defaultdocdir}/glite-data-transfer-cli/html/glite-transfer-se-set.1.html
%{_defaultdocdir}/glite-data-transfer-cli/html/glite-transfer-addvomanager.1.html
%{_defaultdocdir}/glite-data-transfer-cli/html/glite-transfer-channel-set.1.html
%{_defaultdocdir}/glite-data-transfer-cli/html/glite-transfer-setpriority.1.html
%{_defaultdocdir}/glite-data-transfer-cli/html/glite-transfer-channel-audit.1.html
%{_defaultdocdir}/glite-data-transfer-cli/html/glite-transfer-status.1.html
%{_defaultdocdir}/glite-data-transfer-cli/html/glite-transfer-group-removemember.1.html
%{_defaultdocdir}/glite-data-transfer-cli/html/glite-transfer-list.1.html
%{_defaultdocdir}/glite-data-transfer-cli/html/index.html
%{_defaultdocdir}/glite-data-transfer-cli/html/glite-transfer-channel-drop.1.html
%{_defaultdocdir}/glite-data-transfer-cli/html/glite-transfer-group-addmember.1.html
%{_defaultdocdir}/glite-data-transfer-cli/html/glite-transfer-listvomanagers.1.html
%{_defaultdocdir}/glite-data-transfer-cli/html/glite-transfer-channel-add.1.html
%{_defaultdocdir}/glite-data-transfer-cli/html/glite-transfer-channel-setvolimit.1.html
%{_defaultdocdir}/glite-data-transfer-cli/html/glite-transfer-channel-list.1.html
%{_defaultdocdir}/glite-data-transfer-cli/html/glite-transfer-removevomanager.1.html
%{_defaultdocdir}/glite-data-transfer-cli/html/glite-transfer-getroles.1.html
%{_defaultdocdir}/glite-data-transfer-cli/html/glite-transfer-group-list.1.html
%{_defaultdocdir}/glite-data-transfer-cli/html/glite-transfer-channel-listmanagers.1.html
%{_defaultdocdir}/glite-data-transfer-cli/html/glite-transfer-channel-addmanager.1.html
%{_defaultdocdir}/glite-data-transfer-cli/html/glite-transfer-cancel.1.html
%{_defaultdocdir}/glite-data-transfer-cli/LICENSE
%dir %{_defaultdocdir}/glite-data-transfer-cli/apidoc/
%{_defaultdocdir}/glite-data-transfer-cli/apidoc/*

%changelog
 
