/*
 * Copyright (c) Members of the EGEE Collaboration. 2004.
 * See http://www.eu-egee.org/partners/ for details on the copyright holders.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *  gLite Data Management - Simple channel management API
 *
 *  Authors:
 *      Zsolt Molnar <Zsolt.Molnar@cern.ch>
 */
 
#ifndef FTS_EXCEPTION_ID_H
#define FTS_EXCEPTION_ID_H

/**
 * ID for all the faults present in the corresponding WSDL. Faults will represent
 * exceptions in programming language terminology.
 */
typedef enum {
    fts_exception_Authorization_id,
    fts_exception_Internal_id,
    fts_exception_NotExists_id,
    fts_exception_InvalidArgument_id,
    fts_exception_ServiceBusy_id,
    fts_exception_CannotCancel_id,
    fts_exception_Exists_id,
    fts_exception_Unknown_id
} fts_exception_id_t;

#endif /*  #ifndef FTS_EXCEPTION_ID_H */
