/*
 * Copyright (c) Members of the EGEE Collaboration. 2004.
 * See http://www.eu-egee.org/partners/ for details on the copyright holders.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *  gLite Data Management - Simple channel management API
 *
 *  Authors:
 *      Zsolt Molnar <Zsolt.Molnar@cern.ch>
 */
 
#include "fts_soap_exception_api_impl.h"
#include "fts_exception_factory.h"

fts_exception_t* _fts_build_exception(fts_xml_repr_t *detail, const axutil_env_t *env)
{
    fts_exception_t *exception = NULL;
    
    exception = _fts_create_exception_Authorization(detail, env);

    if (exception)
        return exception;
        
    exception = _fts_create_exception_Internal(detail, env);

    if (exception)
        return exception;
        
    exception = _fts_create_exception_NotExists(detail, env);

    if (exception)
        return exception;
        
    exception = _fts_create_exception_InvalidArgument(detail, env);

    if (exception)
        return exception;
        
    exception = _fts_create_exception_ServiceBusy(detail, env);

    if (exception)
        return exception;
        
    exception = _fts_create_exception_CannotCancel(detail, env);

    if (exception)
        return exception;
        
    exception = _fts_create_exception_Exists(detail, env);

    if (exception)
        return exception;
        
    return NULL;
}
