/*
 * Copyright (c) Members of the EGEE Collaboration. 2004.
 * See http://www.eu-egee.org/partners/ for details on the copyright holders.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
#ifndef PLACEMENT_API_INTERNAL_H
#define PLACEMENT_API_INTERNAL_H

#include <glite/data/transfer/c/ftsStub.h>

#include "internal.h"

/**********************************************************************
 * Data type definitions
 */

typedef struct _sd_params       sd_params;

struct _sd_params
{
    glite_fts_surl_pattern      pattern;
    char                *surl_prefix;
    char                *srm_endpoint;
};

/**********************************************************************
 * SOAP type conversion functions
 */
#if _GSOAP_VERSION >= 0x020700
#define ArrayOf_USCOREsoapenc_USCOREstring ftsArrayOf_USCOREsoapenc_USCOREstring
#endif


int to_soap_StringArray(struct soap *soap,
    struct ArrayOf_USCOREsoapenc_USCOREstring *req,
    int nitems, const char * const items[]);
char **from_soap_StringArray(glite_transfer_ctx *ctx,
    struct ArrayOf_USCOREsoapenc_USCOREstring *resp, int *resultCount);

struct transfer__TransferJob *to_soap_TransferJob(glite_transfer_ctx *ctx,
    struct soap *soap, const glite_transfer_TransferJob *job);
struct transfer__TransferJob2 *to_soap_TransferJob2(glite_transfer_ctx *ctx,
    struct soap *soap, const glite_transfer_TransferJob *job);
struct transfer__PlacementJob *to_soap_PlacementJob(struct soap *soap,
        const glite_transfer_PlacementJob *job);
glite_transfer_FileTransferStatus *from_soap_FileTransferStatus(glite_transfer_ctx *ctx,
    const struct transfer__FileTransferStatus *sstatus);
glite_transfer_JobStatus *from_soap_JobStatus(glite_transfer_ctx *ctx,
    const struct transfer__JobStatus *sstatus);
glite_transfer_TransferJobSummary *from_soap_TransferJobSummary(glite_transfer_ctx *ctx,
    const struct transfer__TransferJobSummary *ssummary);
glite_transfer_Roles *from_soap_Roles(glite_transfer_ctx *ctx,
        const struct transfer__Roles *sroles);
    
#endif /* PLACEMENT_API_INTERNAL_H */
