/**
 * Copyright (c) Members of the EGEE Collaboration. 2004.
 * See http://www.eu-egee.org/partners/ for details on the copyright holders.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *  gLite Transfer Clients - Add a manager to a channel
 *
 */

#include <glite/data/transfer/c/channel-simple.h>
#include <stdlib.h>
#include "tool-main.h"

/**********************************************************************
 * Global variables
 */

/* Usage message */
const char *tool_usage = "CHANNEL PRINCIPAL";

/* No help for this tools */
const char *tool_help = NULL;

/* No extra options needed for this tool */
const char *tool_options = NULL;
NO_TOOL_LONG_OPTIONS;

/**********************************************************************
 * Tool implementation
 */

int tool_doit(glite_transfer_ctx *ctx, int argc, char *argv[]) {
    int ret;

    if (argc != 2) {
        error("Wrong number of arguments");
        return EXIT_FAILURE;
    }

    ret = glite_channel_addManager(ctx, argv[0], argv[1]);
    if (ret) {
        error("addManager: %s", glite_transfer_get_error(ctx));
        return EXIT_FAILURE;
    }
    return EXIT_SUCCESS;
}

/**********************************************************************
 * Command line parsing
 */

int tool_parse_cmdline(int c G_GNUC_UNUSED, char * opt_arg G_GNUC_UNUSED) {
    return -1;
}
