/*
 * Copyright (c) Members of the EGEE Collaboration. 2004.
 * See http://www.eu-egee.org/partners/ for details on the copyright holders.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *  gLite Transfer Clients - Sets the share of a VO on a given channel
 *
 */

#include <glite/data/transfer/c/channel-simple.h>

#include <stdio.h>
#include <stdlib.h>

#include "tool-main.h"

/**********************************************************************
 * Global variables
 */

/* Usage message */
const char *tool_usage = "CHANNEL VONAME SHARE_SIZE";

/* Help message */
const char *tool_help = NULL;

/* getguid-specific command line options */
const char *tool_options = NULL;
NO_TOOL_LONG_OPTIONS;

/**********************************************************************
 * Tool implementation
 */

int tool_doit(glite_transfer_ctx *ctx, int argc, char *argv[]) {
    int share, ret;

    if (argc != 3) {
        error("Wrong number of arguments");
        return EXIT_FAILURE;
    }

    if (!sscanf(argv[2], "%d", &share)) {
        error("Unable to parse SHARE_SIZE argument");
        return EXIT_FAILURE;
    }
    #if 0
    if (0 > share || share > 100) {
        error("Share size must be at least 0 and at most 100");
        return EXIT_FAILURE;
    }
    #endif

    ret = glite_channel_setVOShare(ctx, argv[0], argv[1], share);

    if (ret) {
        error("setVOShare: %s", glite_transfer_get_error(ctx));
        return EXIT_FAILURE;
    }

    info("Share of VO %s on channel %s set to %d", argv[1], argv[0], share);

    return EXIT_SUCCESS;
}

/**********************************************************************
 * Command line parsing
 */

int tool_parse_cmdline(int c G_GNUC_UNUSED, char * opt_arg G_GNUC_UNUSED) {
    return -1;
}
