/*
 * Copyright (c) Members of the EGEE Collaboration. 2004.
 * See http://www.eu-egee.org/partners/ for details on the copyright holders.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *  gLite Transfer Clients - Drop a channel
 *
 *  Authors: Gabor Gombas <Gabor.Gombas@cern.ch>
 *  Version info: $Id: drop.c,v 1.4 2008/11/27 14:06:32 ptedesco Exp $
 *  Release: $Name:  $
 *
 *  Revision history:
 *  $Log: drop.c,v $
 *  Revision 1.4  2008/11/27 14:06:32  ptedesco
 *  updated channel set command
 *
 *  Revision 1.3  2008/11/26 08:57:59  ptedesco
 *  added listing for Channel3 objects
 *
 *  Revision 1.2  2008/05/08 15:03:47  ptedesco
 *  Fix bug #33406
 *
 *  Revision 1.1  2005/03/04 18:12:59  gombasg
 *  Transfer CLI updates
 *
 *
 */

#include <glite/data/transfer/c/channel-simple.h>

#include <stdlib.h>

#include "tool-main.h"

/**********************************************************************
 * Global variables
 */

/* Usage message */
const char *tool_usage = "CHANNEL [CHANNEL...]";

/* Help message */
const char *tool_help = NULL;

/* getguid-specific command line options */
const char *tool_options = NULL;
NO_TOOL_LONG_OPTIONS;

/**********************************************************************
 * Tool implementation
 */

int tool_doit(glite_transfer_ctx *ctx, int argc, char *argv[])
{
    int i, ret;

    if (!argc)
    {
        error("No channel specified");
        return EXIT_FAILURE;
    }

    for (i = 0; i < argc; i++)
    {
        ret = glite_channel_drop(ctx, argv[i]);
        if (ret)
        {
            error("drop: %s", glite_transfer_get_error(ctx));
            return EXIT_FAILURE;
        }
        info("Dropped channel %s", argv[i]);
    }

    return EXIT_SUCCESS;
}

/**********************************************************************
 * Command line parsing
 */

int tool_parse_cmdline(int c G_GNUC_UNUSED, char *opt_arg G_GNUC_UNUSED)
{
    return -1;
}
