/**
 *  Copyright (c) Members of the EGEE Collaboration. 2004-2008.
 *  See http://www.eu-egee.org/partners/ for details on the copyright
 *  holders.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 *  add a member to a group
 *
 *  Authors: Paolo Tedesco <paolo.tedesco@cern.ch>
 *  Version info: $Id: group-addmember.c,v 1.3 2009/02/05 13:31:31 ptedesco Exp $
 *  Release: $Name:  $
 *
 */
#include <glite/data/transfer/c/channel-simple.h>
#include <stdlib.h>
#include "tool-main.h"

// Usage message
const char *tool_usage = "GROUP MEMBER [MEMBER ...]";

// help text
const char *tool_help = NULL;

// extra options
const char *tool_options = NULL;
NO_TOOL_LONG_OPTIONS;

// Command line parsing
int tool_parse_cmdline(int c G_GNUC_UNUSED, char * opt_arg G_GNUC_UNUSED) {
    return -1;
}

// actual execution
int tool_doit(glite_transfer_ctx *ctx, int argc, char *argv[]) {
    if (argc < 2) {
        error("Wrong number of arguments");
        return EXIT_FAILURE;
    }
    int ret = EXIT_SUCCESS;
    char * group_name = validateGroupName(argv[0]);
    int i = 1;
    for (;i < argc;++i){
        char * site_name = argv[i];
        int result = glite_channel_addGroupMember(ctx, group_name, site_name);
        if (result) {
            error("Failed adding site '%s' to members of group '%s': %s\n", site_name, group_name, glite_transfer_get_error(ctx));
            ret = EXIT_FAILURE;
        } else {
            info("Added site '%s' to members of group '%s'\n", site_name, group_name);
        }
    }
    free(group_name);
    return ret;
}


